// Comm.h: interface for the CComm class.
// Author : Philip Allen
// Version :1.1
// Date   : 16 March 2006
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_COMM_H__0F0834C1_34C9_47DB_9D57_F62A8D701A94__INCLUDED_)
#define AFX_COMM_H__0F0834C1_34C9_47DB_9D57_F62A8D701A94__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CComm  
{
public:
	CComm();
	virtual ~CComm();

	BOOL OpenPort(CString sPort);
	BOOL ClosePort();

	BOOL Output(CString sOutString);
	
	// Next inline function reserved for future use
	void SetBaudRate(int baud){mBaudRate = baud;}
	void SetByteSize(int size){mByteSize = size;}
	void SetParity(int parity){mParity = parity;}
	void SetStopBits(int bits){mStopBits = bits;}

	void SendCommand(CString cmd, unsigned short Data);
	int SetPort(const CString port);

CString mComPort;


public:

BOOL     m_bPortReady;
HANDLE   m_hCom;
CString  m_sComPort;
DCB      m_dcb;
COMMTIMEOUTS m_CommTimeouts;
BOOL     bWriteRC;
BOOL     bReadRC;
DWORD iBytesWritten;
DWORD iBytesRead;
char       sBuffer[128];

int mBaudRate;
int mByteSize;
int mParity;
int mStopBits;
BOOL mAbortOnError;


};

#endif // !defined(AFX_COMM_H__0F0834C1_34C9_47DB_9D57_F62A8D701A94__INCLUDED_)
